$color-link: #2C2483;
$color-link-hover: #13103a;

body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

nav {
    display: flex;
    justify-content: center;
    position: sticky;
    top: 0;
    background-color: #fff;
    width: 100%;
    z-index: 999;
    border-bottom: 1px solid gray;
    ul {
        display: flex;
        flex-direction: row;
    }
    li {
        list-style-type: none;
        padding: 0 10px;
        a {
            text-decoration: none;
            color: $color-link;
            &:hover {
                color: $color-link-hover;
                border-bottom: 1px solid $color-link-hover;
            }
        }
    }
}

header {
    margin-top: 1rem;
    width: 100vw;
    text-align: center;
    img {
        width: 100%;
        max-width: 800px;
    }
    h1 {
        font-size: 1.5rem;
        margin: 1rem;
    }
}


main {
    margin: 0 1rem;
    max-width: 80%;
}

.cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    .card {
        position: relative;
        width: 250px;
        border: 1px solid gray;
        border-radius: 10px;
        margin: 2rem 1rem 1rem 1rem;
        &:hover {
            cursor:pointer;

        }
        article {
            img {
                width: 250px;
                // height: 200px;
                display: block;
                margin: auto;
                background-repeat: no-repeat;
                background-position: center;
                background-size: contain;
                border-radius: 10px 10px 0 0;
            }
            h2 {
                text-transform: lowercase;
            }
            .realised {
                position: absolute;
                top: 5px;
                right: 5px;
                color: rgb(0, 0, 0);
                background-color: rgb(255, 255, 255);
                border: 1px dashed grey;
                border-radius: 20px;
                padding: 0.25rem 0.5rem;
            }
        }
        .info {
            padding: 1rem;
        }
    }
}

footer {
    width: 100vw;
    margin-top: 2rem;
    padding: 0.5rem 0;
    display: flex;
    justify-content: center;
    a {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0 0.75rem;
        text-decoration: none;
        color: $color-link;
        p {
            margin-top: 0px !important;
            &:hover {
                color: $color-link-hover;
                border-bottom: 1px solid $color-link-hover;
            }
        }
        img {
            width: 50px;
            height: 50px;
        }
    }
}